% Net parameters

ninputs =   2;
nhidden =   20;        % No. of hidden units per component, in F block
noutputs =  ninputs;
nextra = 20;

ntrain = 5000;

outputonlyepochs = 0;
linearonlyepochs = 100;
symepochs = 400;

nepochs = 400;

ndisp = 5;
ncycle = 1;
ndistr = 100;
ngrid = 21;

weightrange13 = 10;
weightrange35 = .3;

barrierfact = 0;

distortfact = 0;   % penalization of distortion relative to data contained on 'ref'

signfact = 0;      % this is only for the two pages problem
wdecayf13 = 0;
wdecayf12 = 0;
wdecayf23 = 0;
wdecayf34 = 0;

eta013 = 1e-5;     % eta0 for weight13
eta0123 = 1e-5;    % eta0 for weight12 and weight23
eta035 = 1e-4;     % eta0 for weight34 and weight45
up =  1.2;
down = 1/up;
tolerance = 1e-8;  % tolerance is additive because cost is logarithmic
reduce = .5;
alpha = .95;

desiredcost = -1000;

ploth = 1;     % components to be plotted
plotv = 2;


